package labss.lang.il.model;

import java.util.Arrays;
import java.util.List;


public class Block implements Statement {

	public Block(Statement... statements) {
		this.statement = Arrays.asList(statements);
	}

	/** 
	 * @uml.property name="children"
	 * @uml.associationEnd multiplicity="(0 -1)" ordering="true" aggregation="composite" inverse="block:labss.lang.il.model.Statement"
	 */
	private List statement;

	/** 
	 * Getter of the property <tt>children</tt>
	 * @return  Returns the statement.
	 * @uml.property  name="children"
	 */
	public List getChildren() {
		return statement;
	}

	/** 
	 * Setter of the property <tt>children</tt>
	 * @param children  The statement to set.
	 * @uml.property  name="children"
	 */
	public void setChildren(List children) {
		statement = children;
	}

}
