package labss_il_al;


public class While implements Statement {

	/**
	 * @uml.property  name="condition"
	 * @uml.associationEnd  aggregation="composite" inverse="while:labss_il_al.Expression"
	 */
	private Expression condition;

	/**
	 * Getter of the property <tt>condition</tt>
	 * @return  Returns the condition.
	 * @uml.property  name="condition"
	 */
	public Expression getCondition() {
		return condition;
	}

	/**
	 * Setter of the property <tt>condition</tt>
	 * @param condition  The condition to set.
	 * @uml.property  name="condition"
	 */
	public void setCondition(Expression condition) {
		this.condition = condition;
	}

	/**
	 * @uml.property  name="body"
	 * @uml.associationEnd  aggregation="composite" inverse="while:labss_il_al.Statement"
	 */
	private Statement body;

	/**
	 * Getter of the property <tt>body</tt>
	 * @return  Returns the body.
	 * @uml.property  name="body"
	 */
	public Statement getBody() {
		return body;
	}

	/**
	 * Setter of the property <tt>body</tt>
	 * @param body  The body to set.
	 * @uml.property  name="body"
	 */
	public void setBody(Statement body) {
		this.body = body;
	}

	public While(Expression condition, Statement body) {
		this.condition = condition;
		this.body = body;
	}

}
