package labss.lang.il.model;


public abstract class BinaryExpression implements Expression {
	public BinaryExpression(Expression exp1, Expression exp2) {
		this.exp1 = exp1;
		this.exp2 = exp2;
	}

	/**
	 * @uml.property  name="exp1"
	 * @uml.associationEnd  aggregation="composite" inverse="binaryExpression:labss.lang.il.model.Expression"
	 */
	private Expression exp1;

	/**
	 * Getter of the property <tt>exp1</tt>
	 * @return  Returns the exp1.
	 * @uml.property  name="exp1"
	 */
	public Expression getExp1() {
		return exp1;
	}

	/**
	 * Setter of the property <tt>exp1</tt>
	 * @param exp1  The exp1 to set.
	 * @uml.property  name="exp1"
	 */
	public void setExp1(Expression exp1) {
		this.exp1 = exp1;
	}

	/**
	 * @uml.property  name="exp2"
	 * @uml.associationEnd  aggregation="composite" inverse="binaryExpression:labss.lang.il.model.Expression"
	 */
	private Expression exp2;

	/**
	 * Getter of the property <tt>exp2</tt>
	 * @return  Returns the exp2.
	 * @uml.property  name="exp2"
	 */
	public Expression getExp2() {
		return exp2;
	}

	/**
	 * Setter of the property <tt>exp2</tt>
	 * @param exp2  The exp2 to set.
	 * @uml.property  name="exp2"
	 */
	public void setExp2(Expression exp2) {
		this.exp2 = exp2;
	}

}
